#ifndef __aspell_config__
#define __aspell_config__

#include "config_data.hh"

namespace aspell {
  
  using namespace autil;

  class Config : public ConfigData {
    class NotifierImpl;
    friend class NotifierImpl;
    NotifierImpl * notifier;
  public:
    Config();
    Config(const Config &);
    Config & operator= (const Config &);
    ~Config();

    void init();

    void read_in(const Config * override);
    void read_in(PspellConfigImpl * override = 0);
  };
  
}

#endif

